<?php

namespace Church\Church;

use User;

class Church
{
    /**
     * $permisos_module object.
     */
    protected $permisos_module;

    /**
     * Constructor.
     */
    public function __construct(\Church\Church\Interfaces\PermisosModuleRepositoryInterface $permisos_module)
    {
        $this->permisos_module = $permisos_module;
    }

    /**
     * Returns count of church.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.permisos_module.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->permisos_module->pushCriteria(new \Litepie\Church\Repositories\Criteria\PermisosModuleUserCriteria());
        }

        $permisos_module = $this->permisos_module->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('church::' . $view, compact('permisos_module'))->render();
    }
}
