<?php

namespace Church\Church\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Church\Church\Interfaces\PermisosModuleRepositoryInterface;

class PermisosModulePublicController extends BaseController
{
    // use PermisosModuleWorkflow;

    /**
     * Constructor.
     *
     * @param type \Church\PermisosModule\Interfaces\PermisosModuleRepositoryInterface $permisos_module
     *
     * @return type
     */
    public function __construct(PermisosModuleRepositoryInterface $permisos_module)
    {
        $this->repository = $permisos_module;
        parent::__construct();
    }

    /**
     * Show permisos_module's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $permisos_modules = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('church::public.permisos_module.index', compact('permisos_modules'))->render();
    }

    /**
     * Show permisos_module.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $permisos_module = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('church::public.permisos_module.show', compact('permisos_module'))->render();
    }

}
