<?php

namespace Church\Church\Workflow;

use Church\Church\Models\PermisosModule;
use Church\Church\Notifications\PermisosModule as PermisosModuleNotifyer;
use Notification;

class PermisosModuleNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function complete(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function verify(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function approve(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function publish(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function archive(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param PermisosModule $permisos_module
     *
     * @return void
     */
    public function unpublish(PermisosModule $permisos_module)
    {
        return Notification::send($permisos_module->user, new PermisosModuleNotifyer($permisos_module, 'unpublish'));;

    }
}
